
(function(){
    var prescriptionDetailApis = {
    	getPrescription: function(data) {
    		return APIService.httpGet('doctor/prescriptionInfo/getPrescription', data);
    	},
    	getContinuedPrescriptionAsDoctor: function(data) {
    		return APIService.httpGet('doctor/prescriptionInfo/getContinuedPrescriptionAsDoctor', data);
    	},
    	getDeptList:function(data) {
    		return APIService.httpGet('doctor/prescriptionInfo/getDeptList', data);
    	},
    	getRegisterRee:function(data) {
    		return APIService.httpGet('doctor/prescriptionInfo/getRegisterRee', data);
    	},
    	reviewPrescription:function(data) {
    		return APIService.httpPost('doctor/prescriptionInfo/reviewPrescription', data);
    	},
    	isAuthentication:function(data) {
    		return APIService.httpGet('doctor/isAuthentication', data);
    	},
    	requestRealNameSoftCertAndSign:function(data) {
    		return APIService.httpPost('doctor/requestRealNameSoftCertAndSign', data);
    	},
    	getReasonByType:function(data) {
    		return APIService.httpGet('doctor/prescriptionInfo/getReasonByType', data);
        }
        ,
        // 获取频率换算
        drugToRate: function(data) {
        	return APIService.httpGet('doctor/prescriptionInfo/drugToRate', data);
        },
        //获取药品信息
        getPhysicInfo:function(data) {
        	return APIService.httpGet('doctor/prescriptionInfo/getPhysicInfo', data);
        },
        //获取用药频率
        getRateList:function(data) {
        	return APIService.httpGet('doctor/prescriptionInfo/getRateList', data);
        },
        //获取药品用法
        getUsageDict:function(data) {
        	return APIService.httpGet('doctor/prescriptionInfo/getUsageDict', data);
        },
        getReasonByType:function(data) {
        	return APIService.httpGet('doctor/prescriptionInfo/getReasonByType', data);
        },
        updatePresInfo:function(data) {
    		return APIService.httpPost('doctor/prescriptionInfo/updatePresInfo', data);
    	}
    };

    window.prescriptionDetailApis = prescriptionDetailApis;
})(jQuery)